XmppFromContainsFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.filters.XmppFromContainsFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.filters
Class XmppFromContainsFilter

    java.lang.Object
      org.mule.transport.xmpp.filters.AbstractXmppFilter
          org.mule.transport.xmpp.filters.XmppFromContainsFilter

All Implemented Interfaces:
  org.jivesoftware.smack.filter.PacketFilter, Filter

Direct Known Subclasses:
  XmppMessageTypeFilter, XmppPacketIDFilter, XmppThreadFilter, XmppToContainsFilter

    public class XmppFromContainsFilter

extends AbstractXmppFilter

`XmppFromContainsFilter` is an Xmpp FromContainsfilter adapter.

Field Summary
`protected String` | `pattern`

Fields inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`delegate`

Constructor Summary
`XmppFromContainsFilter()`
`XmppFromContainsFilter(String pattern)`

Method Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `createFilter()`
`boolean` | `equals(Object obj)`
`String` | `getPattern()`
`int` | `hashCode()`
`void` | `setPattern(String pattern)`

Methods inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`accept, accept`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern

    protected volatile String pattern

Constructor Detail

### XmppFromContainsFilter

    public XmppFromContainsFilter()

### XmppFromContainsFilter

    public XmppFromContainsFilter(String pattern)

Method Detail

### getPattern

    public String getPattern()

### setPattern

    public void setPattern(String pattern)

### createFilter

    protected org.jivesoftware.smack.filter.PacketFilter createFilter()

  Specified by:
    `createFilter` in class `AbstractXmppFilter`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.